using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Data.OleDb;

namespace Hotelbooking
{
	public class Booking : System.Windows.Forms.Form
	{
		private OleDbConnection con;
		private OleDbCommand cmd;
		private OleDbDataAdapter adp;
		public System.Windows.Forms.Label lblAnkomst;
		public System.Windows.Forms.Label lblAfrejse;
		private System.Windows.Forms.TextBox txtAnkomst;
		private System.Windows.Forms.TextBox txtAfrejse;
		private System.Windows.Forms.Label lblVrelsestype;
		private System.Windows.Forms.RadioButton optEnkelt;
		private System.Windows.Forms.RadioButton optDobbelt;
		private System.Windows.Forms.RadioButton radioButton3;
		private System.Windows.Forms.Label lblIkkeryger_ryger;
		private System.Windows.Forms.RadioButton optIkkeryger;
		private System.Windows.Forms.RadioButton optRyger;
		private System.Windows.Forms.RadioButton optIkkeryger_rygerdioButton4;
		private System.Windows.Forms.RadioButton optJa;
		private System.Windows.Forms.RadioButton optNej;
		private System.Windows.Forms.Panel pnlVrelsestype;
		private System.Windows.Forms.Panel pnlIkkeryger_ryger;
		private System.Windows.Forms.Label lblHandicapvenlig;
		private System.Windows.Forms.Panel pnlHandicapvenlig;
		private System.Windows.Forms.Button cmdForesprg;
		private System.Windows.Forms.Label lblSamletpris;
		private System.Windows.Forms.TextBox txtSamletpris;
		private frmStart ejer;
		private System.Windows.Forms.Button cmdTilstart;
		private System.Windows.Forms.Button cmdOpretgst;
		private Gsteadministration nygst;
		private System.Windows.Forms.DataGrid grdLedigvrelse;
		private System.Data.OleDb.OleDbCommand sqlStreng;
		private DataSet ds;
		public System.Windows.Forms.TextBox textBox1;
		private System.ComponentModel.Container components = null;

		public Booking(frmStart ejer)
		{
			InitializeComponent();
			this.ejer = ejer;
			nygst = new Gsteadministration(this);
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.lblAnkomst = new System.Windows.Forms.Label();
			this.lblAfrejse = new System.Windows.Forms.Label();
			this.txtAnkomst = new System.Windows.Forms.TextBox();
			this.txtAfrejse = new System.Windows.Forms.TextBox();
			this.pnlVrelsestype = new System.Windows.Forms.Panel();
			this.radioButton3 = new System.Windows.Forms.RadioButton();
			this.optDobbelt = new System.Windows.Forms.RadioButton();
			this.optEnkelt = new System.Windows.Forms.RadioButton();
			this.lblVrelsestype = new System.Windows.Forms.Label();
			this.lblIkkeryger_ryger = new System.Windows.Forms.Label();
			this.pnlIkkeryger_ryger = new System.Windows.Forms.Panel();
			this.optIkkeryger_rygerdioButton4 = new System.Windows.Forms.RadioButton();
			this.optRyger = new System.Windows.Forms.RadioButton();
			this.optIkkeryger = new System.Windows.Forms.RadioButton();
			this.lblHandicapvenlig = new System.Windows.Forms.Label();
			this.pnlHandicapvenlig = new System.Windows.Forms.Panel();
			this.optNej = new System.Windows.Forms.RadioButton();
			this.optJa = new System.Windows.Forms.RadioButton();
			this.cmdForesprg = new System.Windows.Forms.Button();
			this.lblSamletpris = new System.Windows.Forms.Label();
			this.txtSamletpris = new System.Windows.Forms.TextBox();
			this.cmdTilstart = new System.Windows.Forms.Button();
			this.cmdOpretgst = new System.Windows.Forms.Button();
			this.grdLedigvrelse = new System.Windows.Forms.DataGrid();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.pnlVrelsestype.SuspendLayout();
			this.pnlIkkeryger_ryger.SuspendLayout();
			this.pnlHandicapvenlig.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.grdLedigvrelse)).BeginInit();
			this.SuspendLayout();
			// 
			// lblAnkomst
			// 
			this.lblAnkomst.Location = new System.Drawing.Point(8, 16);
			this.lblAnkomst.Name = "lblAnkomst";
			this.lblAnkomst.TabIndex = 0;
			this.lblAnkomst.Text = "Ankomstdato";
			// 
			// lblAfrejse
			// 
			this.lblAfrejse.Location = new System.Drawing.Point(8, 48);
			this.lblAfrejse.Name = "lblAfrejse";
			this.lblAfrejse.TabIndex = 1;
			this.lblAfrejse.Text = "Afrejsedato";
			// 
			// txtAnkomst
			// 
			this.txtAnkomst.Location = new System.Drawing.Point(120, 16);
			this.txtAnkomst.Name = "txtAnkomst";
			this.txtAnkomst.TabIndex = 2;
			this.txtAnkomst.Text = "";
			this.txtAnkomst.TextChanged += new System.EventHandler(this.txtAnkomst_TextChanged);
			// 
			// txtAfrejse
			// 
			this.txtAfrejse.Location = new System.Drawing.Point(120, 48);
			this.txtAfrejse.Name = "txtAfrejse";
			this.txtAfrejse.TabIndex = 3;
			this.txtAfrejse.Text = "";
			this.txtAfrejse.TextChanged += new System.EventHandler(this.txtAfrejse_TextChanged);
			// 
			// pnlVrelsestype
			// 
			this.pnlVrelsestype.Controls.Add(this.radioButton3);
			this.pnlVrelsestype.Controls.Add(this.optDobbelt);
			this.pnlVrelsestype.Controls.Add(this.optEnkelt);
			this.pnlVrelsestype.Location = new System.Drawing.Point(0, 200);
			this.pnlVrelsestype.Name = "pnlVrelsestype";
			this.pnlVrelsestype.Size = new System.Drawing.Size(128, 96);
			this.pnlVrelsestype.TabIndex = 4;
			// 
			// radioButton3
			// 
			this.radioButton3.Checked = true;
			this.radioButton3.Location = new System.Drawing.Point(16, 72);
			this.radioButton3.Name = "radioButton3";
			this.radioButton3.TabIndex = 2;
			this.radioButton3.TabStop = true;
			this.radioButton3.Text = "Enkelt/Dobbelt";
			// 
			// optDobbelt
			// 
			this.optDobbelt.Location = new System.Drawing.Point(16, 38);
			this.optDobbelt.Name = "optDobbelt";
			this.optDobbelt.TabIndex = 1;
			this.optDobbelt.Text = "Dobbelt";
			// 
			// optEnkelt
			// 
			this.optEnkelt.Location = new System.Drawing.Point(16, 8);
			this.optEnkelt.Name = "optEnkelt";
			this.optEnkelt.TabIndex = 0;
			this.optEnkelt.Text = "Enkelt";
			// 
			// lblVrelsestype
			// 
			this.lblVrelsestype.Location = new System.Drawing.Point(0, 176);
			this.lblVrelsestype.Name = "lblVrelsestype";
			this.lblVrelsestype.Size = new System.Drawing.Size(100, 16);
			this.lblVrelsestype.TabIndex = 5;
			this.lblVrelsestype.Text = "Vrelsestype";
			// 
			// lblIkkeryger_ryger
			// 
			this.lblIkkeryger_ryger.Location = new System.Drawing.Point(144, 176);
			this.lblIkkeryger_ryger.Name = "lblIkkeryger_ryger";
			this.lblIkkeryger_ryger.Size = new System.Drawing.Size(100, 16);
			this.lblIkkeryger_ryger.TabIndex = 6;
			this.lblIkkeryger_ryger.Text = "Ikke ryger/ryger";
			// 
			// pnlIkkeryger_ryger
			// 
			this.pnlIkkeryger_ryger.Controls.Add(this.optIkkeryger_rygerdioButton4);
			this.pnlIkkeryger_ryger.Controls.Add(this.optRyger);
			this.pnlIkkeryger_ryger.Controls.Add(this.optIkkeryger);
			this.pnlIkkeryger_ryger.Location = new System.Drawing.Point(144, 200);
			this.pnlIkkeryger_ryger.Name = "pnlIkkeryger_ryger";
			this.pnlIkkeryger_ryger.Size = new System.Drawing.Size(128, 96);
			this.pnlIkkeryger_ryger.TabIndex = 7;
			// 
			// optIkkeryger_rygerdioButton4
			// 
			this.optIkkeryger_rygerdioButton4.Checked = true;
			this.optIkkeryger_rygerdioButton4.Location = new System.Drawing.Point(8, 72);
			this.optIkkeryger_rygerdioButton4.Name = "optIkkeryger_rygerdioButton4";
			this.optIkkeryger_rygerdioButton4.TabIndex = 5;
			this.optIkkeryger_rygerdioButton4.TabStop = true;
			this.optIkkeryger_rygerdioButton4.Text = "Ikke ryger/ryger";
			// 
			// optRyger
			// 
			this.optRyger.Location = new System.Drawing.Point(8, 40);
			this.optRyger.Name = "optRyger";
			this.optRyger.TabIndex = 4;
			this.optRyger.Text = "Ryger";
			// 
			// optIkkeryger
			// 
			this.optIkkeryger.Location = new System.Drawing.Point(8, 8);
			this.optIkkeryger.Name = "optIkkeryger";
			this.optIkkeryger.TabIndex = 3;
			this.optIkkeryger.Text = "Ikke ryger";
			// 
			// lblHandicapvenlig
			// 
			this.lblHandicapvenlig.Location = new System.Drawing.Point(288, 176);
			this.lblHandicapvenlig.Name = "lblHandicapvenlig";
			this.lblHandicapvenlig.Size = new System.Drawing.Size(100, 16);
			this.lblHandicapvenlig.TabIndex = 8;
			this.lblHandicapvenlig.Text = "Handigcapvenlig";
			// 
			// pnlHandicapvenlig
			// 
			this.pnlHandicapvenlig.Controls.Add(this.optNej);
			this.pnlHandicapvenlig.Controls.Add(this.optJa);
			this.pnlHandicapvenlig.Location = new System.Drawing.Point(288, 200);
			this.pnlHandicapvenlig.Name = "pnlHandicapvenlig";
			this.pnlHandicapvenlig.Size = new System.Drawing.Size(128, 96);
			this.pnlHandicapvenlig.TabIndex = 9;
			// 
			// optNej
			// 
			this.optNej.Checked = true;
			this.optNej.Location = new System.Drawing.Point(8, 36);
			this.optNej.Name = "optNej";
			this.optNej.TabIndex = 1;
			this.optNej.TabStop = true;
			this.optNej.Text = "Nej";
			// 
			// optJa
			// 
			this.optJa.Location = new System.Drawing.Point(8, 8);
			this.optJa.Name = "optJa";
			this.optJa.TabIndex = 0;
			this.optJa.Text = "Ja";
			// 
			// cmdForesprg
			// 
			this.cmdForesprg.Location = new System.Drawing.Point(296, 16);
			this.cmdForesprg.Name = "cmdForesprg";
			this.cmdForesprg.Size = new System.Drawing.Size(128, 23);
			this.cmdForesprg.TabIndex = 10;
			this.cmdForesprg.Text = "Foresprg";
			this.cmdForesprg.Click += new System.EventHandler(this.cmdForesprg_Click);
			// 
			// lblSamletpris
			// 
			this.lblSamletpris.Location = new System.Drawing.Point(248, 48);
			this.lblSamletpris.Name = "lblSamletpris";
			this.lblSamletpris.Size = new System.Drawing.Size(64, 23);
			this.lblSamletpris.TabIndex = 11;
			this.lblSamletpris.Text = "Samlet pris";
			// 
			// txtSamletpris
			// 
			this.txtSamletpris.Location = new System.Drawing.Point(320, 48);
			this.txtSamletpris.Name = "txtSamletpris";
			this.txtSamletpris.TabIndex = 12;
			this.txtSamletpris.Text = "";
			// 
			// cmdTilstart
			// 
			this.cmdTilstart.Location = new System.Drawing.Point(288, 304);
			this.cmdTilstart.Name = "cmdTilstart";
			this.cmdTilstart.Size = new System.Drawing.Size(128, 23);
			this.cmdTilstart.TabIndex = 13;
			this.cmdTilstart.Text = "Tilbage";
			this.cmdTilstart.Click += new System.EventHandler(this.cmdTilstart_Click);
			// 
			// cmdOpretgst
			// 
			this.cmdOpretgst.Location = new System.Drawing.Point(8, 304);
			this.cmdOpretgst.Name = "cmdOpretgst";
			this.cmdOpretgst.Size = new System.Drawing.Size(136, 23);
			this.cmdOpretgst.TabIndex = 14;
			this.cmdOpretgst.Text = "Gsteadministration";
			this.cmdOpretgst.Click += new System.EventHandler(this.cmdOpretgst_Click);
			// 
			// grdLedigvrelse
			// 
			this.grdLedigvrelse.DataMember = "";
			this.grdLedigvrelse.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.grdLedigvrelse.Location = new System.Drawing.Point(8, 88);
			this.grdLedigvrelse.Name = "grdLedigvrelse";
			this.grdLedigvrelse.Size = new System.Drawing.Size(416, 80);
			this.grdLedigvrelse.TabIndex = 17;
			this.grdLedigvrelse.Click += new System.EventHandler(this.grdLedigvrelse_Click);
			// 
			// textBox1
			// 
			this.textBox1.Location = new System.Drawing.Point(192, 304);
			this.textBox1.Name = "textBox1";
			this.textBox1.Size = new System.Drawing.Size(64, 20);
			this.textBox1.TabIndex = 18;
			this.textBox1.Text = "Vrelsesnr";
			// 
			// Booking
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(440, 334);
			this.Controls.Add(this.textBox1);
			this.Controls.Add(this.txtSamletpris);
			this.Controls.Add(this.txtAfrejse);
			this.Controls.Add(this.txtAnkomst);
			this.Controls.Add(this.grdLedigvrelse);
			this.Controls.Add(this.cmdOpretgst);
			this.Controls.Add(this.cmdTilstart);
			this.Controls.Add(this.lblSamletpris);
			this.Controls.Add(this.cmdForesprg);
			this.Controls.Add(this.lblHandicapvenlig);
			this.Controls.Add(this.pnlIkkeryger_ryger);
			this.Controls.Add(this.lblIkkeryger_ryger);
			this.Controls.Add(this.lblVrelsestype);
			this.Controls.Add(this.pnlVrelsestype);
			this.Controls.Add(this.lblAfrejse);
			this.Controls.Add(this.lblAnkomst);
			this.Controls.Add(this.pnlHandicapvenlig);
			this.Name = "Booking";
			this.Text = "Booking";
			this.Load += new System.EventHandler(this.Booking_Load);
			this.pnlVrelsestype.ResumeLayout(false);
			this.pnlIkkeryger_ryger.ResumeLayout(false);
			this.pnlHandicapvenlig.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.grdLedigvrelse)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		// Forbindelse til databasen etableres
		private void Booking_Load(object sender, System.EventArgs e)
		{
			string connectionStr;
			connectionStr = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Hotelbooking.mdb";
			con = new OleDbConnection(connectionStr);
			cmd =new OleDbCommand();
			cmd.Connection = con;
		}
		
        private void cmdTilstart_Click(object sender, System.EventArgs e)
		{
			Hide();
		}
		
		// Skift til gsteadministration, felter overfres
		private void cmdOpretgst_Click(object sender, System.EventArgs e)
		{
			nygst.txtAfrejse.Text = txtAfrejse.Text;
			nygst.txtAnkomst.Text = txtAnkomst.Text;
			nygst.txtVrelsesnr.Text = textBox1.Text;
			nygst.Show();		
		}

		// Finder vrelser udfra selektionskriterier
		private void cmdForesprg_Click(object sender, System.EventArgs e)
		{
			int type, ikkeryger, handi;

			sqlStreng = new System.Data.OleDb.OleDbCommand();
			sqlStreng.Connection=con;

			//enkelt vrelse - dobbeltvrelse - enkelt-/dobbeltvrelse
			if (optEnkelt.Checked)
				type = 1;
			else
				if (optDobbelt.Checked)
				type = 2;
			else
				type=3;

			//Ikke ryger - ryger - ikke ryger/ryger
			if (optIkkeryger.Checked)
				ikkeryger = 0;
			else
				if (optRyger.Checked)
				ikkeryger = 1;
			else
				ikkeryger = 2;

			//Handicapvenlig
			if (optJa.Checked)
				handi = 0;
			else
				handi = 1;
		
					
			if (type==1 && ikkeryger==0)
			{
				if (handi==0)
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Type=1 AND IkkeRyger =0 AND Handicap=0";
				else
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Type=1 AND IkkeRyger =0 AND Handicap=1";
			}
			if (type==1 && ikkeryger==1)
			{
				if (handi==0)
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Type=1 AND IkkeRyger =1 AND Handicap=0";
				else
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Type=1 AND IkkeRyger =1 AND Handicap=1";
			}
			if (type==1 && ikkeryger==2)
			{
				if (handi==0)
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Type=1 AND Handicap=0";
				else
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Type=1 AND Handicap=1";	
			}
			if (type==2 && ikkeryger==0)
			{
				if (handi==0)
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Type=2 AND IkkeRyger =0 AND Handicap=0";
				else
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Type=2 AND IkkeRyger =0 AND Handicap=1";
			}
			if (type==2 && ikkeryger==1)
			{
				if (handi==0)
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Type=2 AND IkkeRyger =1 AND Handicap=0";
				else
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Type=2 AND IkkeRyger =1 AND Handicap=1";
			}
			if (type==2 && ikkeryger==2)
			{
				if (handi==0)
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Type=2 AND Handicap=0";
				else
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Type=2 AND Handicap=1";
			}
			if (type==3 && ikkeryger==0)
			{
				if (handi==0)
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE IkkeRyger =0 AND Handicap=0";
				else
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE IkkeRyger =0 AND Handicap=1";
			}
			if (type==3 && ikkeryger==1)
			{
				if (handi==0)
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE IkkeRyger =1 AND Handicap=0";
				else
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE IkkeRyger =1 AND Handicap=1";
			}
			if (type==3 && ikkeryger==2)
			{
				if (handi==0)
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Handicap=0";
				else
					sqlStreng.CommandText += "SELECT * FROM Vrelse WHERE Handicap=1";
			}

			// Vrelser som matcher kriterierne vises
			ds = new DataSet();
			adp = new OleDbDataAdapter();
			adp.SelectCommand=sqlStreng;
			adp.Fill(ds, "Vrelse");
			grdLedigvrelse.DataSource = ds.Tables["Vrelse"].DefaultView;

			con.Open();				 // Open forbindelse
			con.Close();             // Luk forbindelsen
		
		}
		private void txtAnkomst_TextChanged(object sender, System.EventArgs e)
		{
		}

		private void txtAfrejse_TextChanged(object sender, System.EventArgs e)
		{
		}

		private void txtVisledige_TextChanged(object sender, System.EventArgs e)
		{
		}

		// Udvlger vrelsesnr til reservationen, overfres til gsteadministration
		private void grdLedigvrelse_Click(object sender, System.EventArgs e)
		{
		ds.Tables["Vrelse"].Columns["Vrelsesnr"].Unique =true;
		DataColumn[]kolonner = new DataColumn [1];
		kolonner[0] = ds.Tables["Vrelse"].Columns["Vrelsesnr"];
		ds.Tables["Vrelse"].PrimaryKey = kolonner;
				
		textBox1.Text = ds.Tables["Vrelse"].Rows[grdLedigvrelse.CurrentRowIndex]["Vrelsesnr"].ToString();
		string Vrelsesnr = ds.Tables["Vrelse"].Rows[grdLedigvrelse.CurrentRowIndex]["Vrelsesnr"].ToString();
		}
	}
}
